% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cluster_peak_assessment.R
\name{cluster_peak_assessment}
\alias{cluster_peak_assessment}
\title{W4M Cluster Peak Pics}
\usage{
cluster_peak_assessment(sample_selector_column_name = "sampleType",
  sample_selector_value = "pool", sample_metadata_path,
  variable_metadata_path, data_matrix_path, output_pdf, output_tsv,
  output_rdata = "", failure_action = print)
}
\arguments{
\item{sample_selector_column_name}{string input: column of W4M/XCMS sampleMetadata holding selector string values (default: "sampleType")}

\item{sample_selector_value}{string input: value within selector column to identify samples for analysis (default: "pool")}

\item{sample_metadata_path}{string input: path to W4M/XCMS sampleMetadata tab-separated values file}

\item{variable_metadata_path}{string input: path to W4M/XCMS variableMetadata tab-separated values file}

\item{data_matrix_path}{string input: path to W4M/XCMS dataMatrix tab-separated values file}

\item{output_pdf}{string output: path to write assessment figure PDF}

\item{output_tsv}{string output: path to write assessment summary tab-separated values file}

\item{output_rdata}{string output: (optional) path to write RData containing all processing and plotting intermediates}

\item{failure_action}{function(msg): action to take when a failure occurs (defalut: "print")}
}
\value{
environment: env containing 'df_result' that was written to output_tsv plus all intermediate and plotted variables (see source code)
}
\description{
Visualize feature-peaks among a cluster of samples identified through W4M XCMS preprocessing.
}
\seealso{
\url{https://github.com/HegemanLab/w4mclstrpeakpics}

\url{http://workflow4metabolomics.org/}
}
\author{
Art Eschenlauer, \email{esch0041@umn.edu}
}
\concept{
w4m workflow4metabolomics
}
